Groovy Documentation

## groovy.util
[Java] Class ObservableList.ObservableListIterator

    java.lang.Object
      ObservableIterator
          groovy.util.ObservableList.ObservableListIterator

All Implemented Interfaces:
  java.util.ListIterator

    protected class ObservableList.ObservableListIterator
    extends ObservableIterator

Constructor Summary
`ObservableList.ObservableListIterator(java.util.ListIterator iterDelegate, int index)`

Method Summary
`void` | `add(java.lang.Object o)`
`java.util.ListIterator` | `getListIterator()`
`boolean` | `hasPrevious()`
`int` | `nextIndex()`
`java.lang.Object` | `previous()`
`int` | `previousIndex()`
`void` | `set(java.lang.Object o)`

Constructor Detail

### ObservableList.ObservableListIterator

    public ObservableList.ObservableListIterator(java.util.ListIterator iterDelegate, int index)

Method Detail

### add

    public void add(java.lang.Object o)

### getListIterator

    public java.util.ListIterator getListIterator()

### hasPrevious

    public boolean hasPrevious()

### nextIndex

    public int nextIndex()

### previous

    public java.lang.Object previous()

### previousIndex

    public int previousIndex()

### set

    public void set(java.lang.Object o)

Groovy Documentation